
Database - Feature #2035

optimize conversion of CAN-FIND([FIRST|LAST] temp-table-record ...

{SHARE-LOCK|EXCLUSIVE-LOCK})

02/21/2013 11:02 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 4.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 02/21/2013 11:09 PM - Eric Faulhaber

- Target version changed from Code Improvements to 24

Currently, we convert this construct to use a WhereExpression, which does a client-side lock test for the found record.  This is unnecessarily

inefficient, since a temp-table record cannot be locked (it is private to a particular session).

So, the specification of a (non-NO-LOCK) lock option with a CAN-FIND on a temp-table is essentially meaningless, since the lock is a no-op.

Probably the simplest way to implement this optimization is to hide the lock option(s) and let the function convert naturally.

#2 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
